<?

	//-- اطلاعات کلی پلاگین
	$pluginData[sepordeh][type] = 'payment';
	$pluginData[sepordeh][name] = 'درگاه سپرده';
	$pluginData[sepordeh][uniq] = 'sepordeh';
	$pluginData[sepordeh][description] = 'مخصوص پرداخت با دروازه پرداخت <a href="http://sepordeh.com">سپرده‌</a>';
	$pluginData[sepordeh][author][name] = 'Freer';
	$pluginData[sepordeh][author][url] = 'http://freer.ir';
	$pluginData[sepordeh][author][email] = 'hossin@gmail.com';
	
	//-- فیلدهای تنظیمات پلاگین
	$pluginData[sepordeh][field][config][1][title] = 'مرچنت';
	$pluginData[sepordeh][field][config][1][name] = 'merchant';
	$pluginData[sepordeh][field][config][2][title] = 'عنوان خرید';
	$pluginData[sepordeh][field][config][2][name] = 'title';
	
	//-- تابع انتقال به دروازه پرداخت
	function gateway__sepordeh($data)
	{
		global $config,$db,$smarty;
		include_once('include/libs/nusoap.php');
		$merchantID 	= trim($data[merchant]);
		$amount 		= round($data[amount]/10);
		$invoice_id		= $data[invoice_id];
		$callBackUrl 	= $data[callback];
		
	
	$url='https://sepordeh.com/merchant/invoices/add';
		$params=array(
		'merchant'          => $merchantID,
		'amount'       => $amount,
		'callback'     => $callBackUrl,
		'orderId' => $invoice_id,
		'description'  => $data[title],
	);
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	$res = curl_exec($ch);
	curl_close($ch);

	$result = json_decode($res);
		if ($result->status == 200)
		{
			
			$update[payment_rand]		= $invoice_id;
			$sql = $db->queryUpdate('payment', $update, 'WHERE `payment_rand` = "'.$result->information->invoice_id.'" LIMIT 1;');
			$db->execute($sql);
			$go = "https://sepordeh.com/merchant/invoices/pay/automatic:true/id:".$result->information->invoice_id;
	header("Location: $go");
			exit;
		}
		else
		{
			$data[title] = 'خطای سیستم';
			$data[message] = '<font color="red">در اتصال به درگاه سپرده
			 مشکلی به وجود آمد٬ لطفا از درگاه سایر بانک‌ها استفاده نمایید.</font>'.$result->status.'<br /><a href="index.php" class="button">بازگشت</a>';
			$query	= 'SELECT * FROM `config` WHERE `config_id` = "1" LIMIT 1';
			$conf	= $db->fetch($query);
			$smarty->assign('config', $conf);
			$smarty->assign('data', $data);
			$smarty->display('message.tpl');
		}
	}
	
	//-- تابع بررسی وضعیت پرداخت
	function callback__sepordeh($data)
	{
		global $db,$get;
		$Authority 	= $get['authority'];
		$ref_id = $get['orderId'];
		if (strlen($Authority)>0)
		{
			include_once('include/libs/nusoap.php');
			$merchantID = $data[merchant];
			$sql 		= 'SELECT * FROM `payment` WHERE `payment_rand` = "'.$ref_id.'" LIMIT 1;';
			$payment 	= $db->fetch($sql);
			
			$amount		= round($payment[payment_amount]/10);
			
			$url='https://sepordeh.com/merchant/invoices/verify';
$params= [
		'merchant' 	=> $merchantID,
		'authority' => $Authority,
	];
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $params);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	$res = curl_exec($ch);
	curl_close($ch);
$result = json_decode($res);
			if ($payment[payment_status] == 1)
			{
				if ($result->status ==200)//-- موفقیت آمیز
				{
					//-- آماده کردن خروجی
					$output[status]		= 1;
					$output[res_num]	= $ref_id;
					$output[ref_num]	= $ref_id;
					$output[payment_id]	= $payment[payment_id];
				}
				else
				{
					//-- در تایید پرداخت مشکلی به‌وجود آمده است‌
					$output[status]	= 0;
					$output[message]= 'پرداخت توسط زرین‌پال تایید نشد‌.'.$result->status;
				}
			}
			else
			{
				//-- قبلا پرداخت شده است‌
				$output[status]	= 0;
				$output[message]= 'سفارش قبلا پرداخت شده است.';
			}
		}
		else
		{
			//-- شماره یکتا اشتباه است
			$output[status]	= 0;
			$output[message]= 'شماره یکتا اشتباه است.';
		}
		return $output;
	}
